#version 430 core
out vec4 FragColor;
  
in vec4 gColor;
in vec2 gTexCoord;

uniform sampler2D aTexture;

void main()
{
    FragColor = texture(aTexture, vec2 (gTexCoord.x * 0.0078125, gTexCoord.y)) * gColor;
//    FragColor = texture(aTexture, vTexCoord);
//    FragColor = gColor;
//    FragColor = vec4 (1,1,1,1);
}
